[Unit]
Description="HashiCorp Consul - A service mesh solution"
Documentation=https://www.consul.io/
Requires=network-online.target
After=network-online.target
ConditionFileNotEmpty={{ consul_config_dir }}/{{ consul_config_file }}

[Service]
User=consul
Group=consul
ExecStart={{ consul_bin_path }} agent -config-dir={{ consul_config_dir }}
ExecReload={{ consul_bin_path }} reload
KillMode=process
Restart=on-failure
LimitNOFILE=65536

[Install]
WantedBy=multi-user.target
